
From: Pavel Roskin <proski@gnu.org>

One correction is needed.  Changes are not needed for
drivers/scsi/pcmcia/nsp_cs.c because it uses versioning in the
compatibility part, which is never used in 2.6 kernels.  The only right
thing we could to that compatibility code would be to remove it throughout
the file, but that would be a separate patch.

Cc: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/pcmcia/nsp_cs.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/scsi/pcmcia/nsp_cs.c~pcmcia-remove-client-services-version-fix drivers/scsi/pcmcia/nsp_cs.c
--- devel/drivers/scsi/pcmcia/nsp_cs.c~pcmcia-remove-client-services-version-fix	2005-07-06 01:17:11.000000000 -0700
+++ devel-akpm/drivers/scsi/pcmcia/nsp_cs.c	2005-07-06 01:18:10.000000000 -0700
@@ -2155,6 +2155,10 @@ static int __init nsp_cs_init(void)
 
 	nsp_msg(KERN_INFO, "loading...");
 	pcmcia_get_card_services_info(&serv);
+	if (serv.Revision != CS_RELEASE_CODE) {
+		nsp_msg(KERN_DEBUG, "Card Services release does not match!");
+		return -EINVAL;
+	}
 	register_pcmcia_driver(&dev_info, &nsp_cs_attach, &nsp_cs_detach);
 
 	nsp_dbg(NSP_DEBUG_INIT, "out");
_
